package opc.ua.services.common;

public class ContentFilterResult {

	private ContentFilterElementResult elementResults;
	private DiagnosticInfo[] elementDiagnosticInfos;
	
	private class ContentFilterElementResult {
		private StatusCode statusCode;
		private StatusCode[] operandStatusCodes;
		private DiagnosticInfo[] diagnosticInfos;
	}

	
	public ContentFilterElementResult getElementResults() {
		return elementResults;
	}

	public void setElementResults(ContentFilterElementResult elementResults) {
		this.elementResults = elementResults;
	}

	public DiagnosticInfo[] getElementDiagnosticInfos() {
		return elementDiagnosticInfos;
	}

	public void setElementDiagnosticInfos(DiagnosticInfo[] elementDiagnosticInfos) {
		this.elementDiagnosticInfos = elementDiagnosticInfos;
	}
	
}
